LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   FC17 Gnome login - every keystroke beeped, but eventually registers. What broke? (http://www.linuxquestions.org/questions/fedora-35/fc17-gnome-login-every-keystroke-beeped-but-eventually-registers-what-broke-4175452810/)

ivordurham 03-05-2013 11:30 AM

FC17 Gnome login - every keystroke beeped, but eventually registers. What broke?
 
I mostly use my FC17 desktop as a server, but also work at the keyboard fairly often. After I let yum update a batch of packages today I rebooted the system to pick up the latest kernel. Now on the Gnome login screen when I attempt to enter my password, every key depression on my USB keyboard, including Shift or Ctrl on their own, results in a beep and the keystroke is not registered in the password window. However, I've discovered that if I hit each key multiple (5-10) times it eventually gets through and I get the corresponding bullet in the password field. After I get all of the characters in my password through I can click the login button with the mouse and subsequently the keyboard works normally in my shell windows. Unfortunately, I cannot be sure it was today's updates that caused the problem.

dmesg shows no errors/warnings for the keyboard; the Xorg.0.log shows no keyboard problems either. gnome-session version is 3.4.2. I tried swapping both the keyboard and its USB port with no change.

Any suggestions for a solution to this problem or on where else to look for diagnostic information? Thanks.

John VV 03-05-2013 01:22 PM

Quote:

After I let yum update a batch of packages today
without knowing just what was updated ?????

but i can guess
likely you have multiple third party repos installed and turned on
this can cause incompatibilities

once you do login
please post the output of this
Code:

su -
yum repolist all

also rerun the yum update and if there is an error please post the error
Code:

su -
yum update


ivordurham 03-13-2013 11:18 AM

I casually wrote "bunch of packages" because I had performed several "yum updates" remotely before having to use the keyboard and discovering the problem entering the password on the Gnome login screen. I've appended the package list after the output requested.

I also removed "recordmydeskop" as a potential culprit, but that did not fix the problem.

Thanks for your help.

yum repolist all:

Loaded plugins: langpacks, presto, refresh-packagekit
repo id repo name status
adobe-linux-i386 Adobe Systems enabled: 17
adobe-linux-x86_64 Adobe Systems enabled: 2
fedora/17/x86_64 Fedora 17 - x enabled: 27,033
fedora-debuginfo/17/x86_64 Fedora 17 - x disabled
fedora-source/17/x86_64 Fedora 17 - S disabled
google-chrome google-chrome enabled: 3
google-talkplugin google-talkpl enabled: 1
livna rpm.livna.org enabled: 8
livna-debuginfo rpm.livna.org disabled
livna-source rpm.livna.org disabled
rpmfusion-free/17/x86_64 RPM Fusion fo enabled: 449
rpmfusion-free-debuginfo/17/x86_64 RPM Fusion fo disabled
rpmfusion-free-rawhide/x86_64 RPM Fusion fo disabled
rpmfusion-free-rawhide-debuginfo/x86_64 RPM Fusion fo disabled
rpmfusion-free-rawhide-source/x86_64 RPM Fusion fo disabled
rpmfusion-free-source/17/x86_64 RPM Fusion fo disabled
rpmfusion-free-updates/17/x86_64 RPM Fusion fo enabled: 693
rpmfusion-free-updates-debuginfo/17/x86_64 RPM Fusion fo disabled
rpmfusion-free-updates-source/17/x86_64 RPM Fusion fo disabled
rpmfusion-free-updates-testing/17/x86_64 RPM Fusion fo disabled
rpmfusion-free-updates-testing-debuginfo/17/x86_64 RPM Fusion fo disabled
rpmfusion-free-updates-testing-source/17/x86_64 RPM Fusion fo disabled
updates/17/x86_64 Fedora 17 - x enabled: 11,925
updates-debuginfo/17/x86_64 Fedora 17 - x disabled
updates-source/17/x86_64 Fedora 17 - U disabled
updates-testing/17/x86_64 Fedora 17 - x disabled
updates-testing-debuginfo/17/x86_64 Fedora 17 - x disabled
updates-testing-source/17/x86_64 Fedora 17 - T disabled
repolist: 40,131

yum update:

Loaded plugins: langpacks, presto, refresh-packagekit
No Packages marked for Update

Packages changed since Feb 20th, sorted by action and name:

Installed: exiv2-0.22-6.fc17.x86_64
Installed: jack-audio-connection-kit-example-clients-1.9.9.5-1.fc17.x86_64
Installed: kernel-3.7.9-101.fc17.x86_64
Installed: kernel-3.7.9-104.fc17.x86_64
Installed: recordmydesktop-0.3.8.1-7.fc17.x86_64
Updated: 1:cups-1.5.4-18.fc17.x86_64
Updated: 1:cups-libs-1.5.4-18.fc17.i686
Updated: 1:cups-libs-1.5.4-18.fc17.x86_64
Updated: 1:java-1.7.0-openjdk-1.7.0.9-2.3.7.0.fc17.x86_64
Updated: 1:java-1.7.0-openjdk-1.7.0.9-2.3.8.0.fc17.x86_64
Updated: 1:java-1.7.0-openjdk-devel-1.7.0.9-2.3.7.0.fc17.x86_64
Updated: 1:java-1.7.0-openjdk-devel-1.7.0.9-2.3.8.0.fc17.x86_64
Updated: 1:java-1.7.0-openjdk-javadoc-1.7.0.9-2.3.7.0.fc17.noarch
Updated: 1:java-1.7.0-openjdk-javadoc-1.7.0.9-2.3.8.0.fc17.noarch
Updated: 1:net-snmp-5.7.1-5.fc17.1.x86_64
Updated: 1:net-snmp-agent-libs-5.7.1-5.fc17.1.x86_64
Updated: 1:net-snmp-libs-5.7.1-5.fc17.1.x86_64
Updated: 1:openssl-1.0.0k-1.fc17.i686
Updated: 1:openssl-1.0.0k-1.fc17.x86_64
Updated: 1:php-pear-1.9.4-7.fc17.2.noarch
Updated: 1:qt-4.8.4-11.fc17.x86_64
Updated: 1:qt-x11-4.8.4-11.fc17.x86_64
Updated: 2:gimp-2.8.4-1.fc17.x86_64
Updated: 2:gimp-help-browser-2.8.4-1.fc17.x86_64
Updated: 2:gimp-libs-2.8.4-1.fc17.x86_64
Updated: 32:bind-libs-9.9.2-5.P1.fc17.x86_64
Updated: 32:bind-libs-lite-9.9.2-5.P1.fc17.x86_64
Updated: 32:bind-license-9.9.2-5.P1.fc17.noarch
Updated: 32:bind-utils-9.9.2-5.P1.fc17.x86_64
Updated: abrt-2.0.20-1.fc17.x86_64
Updated: abrt-addon-ccpp-2.0.20-1.fc17.x86_64
Updated: abrt-addon-kerneloops-2.0.20-1.fc17.x86_64
Updated: abrt-addon-python-2.0.20-1.fc17.x86_64
Updated: abrt-addon-vmcore-2.0.20-1.fc17.x86_64
Updated: abrt-addon-xorg-2.0.20-1.fc17.x86_64
Updated: abrt-dbus-2.0.20-1.fc17.x86_64
Updated: abrt-desktop-2.0.20-1.fc17.x86_64
Updated: abrt-gui-2.0.20-1.fc17.x86_64
Updated: abrt-libs-2.0.20-1.fc17.x86_64
Updated: abrt-plugin-bodhi-2.0.20-1.fc17.x86_64
Updated: abrt-retrace-client-2.0.20-1.fc17.x86_64
Updated: AdobeReader_enu-9.5.4-1.i486
Updated: audit-2.2.2-2.fc17.x86_64
Updated: audit-libs-2.2.2-2.fc17.i686
Updated: audit-libs-2.2.2-2.fc17.x86_64
Updated: audit-libs-python-2.2.2-2.fc17.x86_64
Updated: boost-1.48.0-14.fc17.x86_64
Updated: boost-chrono-1.48.0-14.fc17.x86_64
Updated: boost-date-time-1.48.0-14.fc17.x86_64
Updated: boost-devel-1.48.0-14.fc17.x86_64
Updated: boost-filesystem-1.48.0-14.fc17.x86_64
Updated: boost-graph-1.48.0-14.fc17.x86_64
Updated: boost-iostreams-1.48.0-14.fc17.x86_64
Updated: boost-locale-1.48.0-14.fc17.x86_64
Updated: boost-math-1.48.0-14.fc17.x86_64
Updated: boost-program-options-1.48.0-14.fc17.x86_64
Updated: boost-python-1.48.0-14.fc17.x86_64
Updated: boost-random-1.48.0-14.fc17.x86_64
Updated: boost-regex-1.48.0-14.fc17.x86_64
Updated: boost-serialization-1.48.0-14.fc17.x86_64
Updated: boost-signals-1.48.0-14.fc17.x86_64
Updated: boost-system-1.48.0-14.fc17.x86_64
Updated: boost-test-1.48.0-14.fc17.x86_64
Updated: boost-thread-1.48.0-14.fc17.x86_64
Updated: boost-timer-1.48.0-14.fc17.x86_64
Updated: boost-wave-1.48.0-14.fc17.x86_64
Updated: ca-certificates-2012.87-1.fc17.noarch
Updated: coreutils-8.15-10.fc17.x86_64
Updated: crda-1.1.3_2013.02.13-2.fc17.x86_64
Updated: crypto-utils-2.4.1-39.fc17.x86_64
Updated: fedora-logos-17.0.3-3.fc17.noarch
Updated: fftw-libs-3.3.3-5.fc17.x86_64
Updated: fftw-libs-double-3.3.3-5.fc17.x86_64
Updated: fftw-libs-long-3.3.3-5.fc17.x86_64
Updated: fftw-libs-quad-3.3.3-5.fc17.x86_64
Updated: fftw-libs-single-3.3.3-5.fc17.x86_64
Updated: firefox-19.0-1.fc17.x86_64
Updated: flash-plugin-11.2.202.273-release.x86_64
Updated: flash-plugin-11.2.202.275-release.x86_64
Updated: fpaste-0.3.7.1-6.fc17.noarch
Updated: git-1.7.11.7-3.fc17.x86_64
Updated: git-gui-1.7.11.7-3.fc17.noarch
Updated: gitk-1.7.11.7-3.fc17.noarch
Updated: gnome-online-accounts-3.4.2-3.fc17.x86_64
Updated: gnutls-2.12.23-1.fc17.i686
Updated: gnutls-2.12.23-1.fc17.x86_64
Updated: google-chrome-stable-25.0.1364.152-185281.x86_64
Updated: google-chrome-stable-25.0.1364.172-187217.x86_64
Updated: google-talkplugin-3.14.17.0-1.x86_64
Updated: google-talkplugin-3.15.2.0-1.x86_64
Updated: kernel-headers-3.7.9-101.fc17.x86_64
Updated: kernel-headers-3.7.9-104.fc17.x86_64
Updated: kernel-tools-3.7.9-101.fc17.x86_64
Updated: kernel-tools-3.7.9-104.fc17.x86_64
Updated: kernel-tools-libs-3.7.9-101.fc17.x86_64
Updated: kernel-tools-libs-3.7.9-104.fc17.x86_64
Updated: libarchive-3.0.4-2.fc17.x86_64
Updated: libblkid-2.21.2-4.fc17.x86_64
Updated: libchewing-0.3.4-2.fc17.x86_64
Updated: libdrm-2.4.42-1.fc17.i686
Updated: libdrm-2.4.42-1.fc17.x86_64
Updated: libgtop2-2.28.4-3.fc17.x86_64
Updated: liblouis-2.4.1-3.fc17.x86_64
Updated: liblouis-python-2.4.1-3.fc17.noarch
Updated: libmount-2.21.2-4.fc17.x86_64
Updated: libpinyin-0.8.1-1.fc17.x86_64
Updated: libpinyin-data-0.8.1-1.fc17.x86_64
Updated: libproxy-0.4.11-1.fc17.x86_64
Updated: libreport-2.0.20-1.fc17.x86_64
Updated: libreport-filesystem-2.0.20-1.fc17.x86_64
Updated: libreport-gtk-2.0.20-1.fc17.x86_64
Updated: libreport-newt-2.0.20-1.fc17.x86_64
Updated: libreport-plugin-bugzilla-2.0.20-1.fc17.x86_64
Updated: libreport-plugin-kerneloops-2.0.20-1.fc17.x86_64
Updated: libreport-plugin-logger-2.0.20-1.fc17.x86_64
Updated: libreport-plugin-ureport-2.0.20-1.fc17.x86_64
Updated: libreport-python-2.0.20-1.fc17.x86_64
Updated: libreport-web-2.0.20-1.fc17.x86_64
Updated: libsmi-0.4.8-11.fc17.x86_64
Updated: libtasn1-2.14-1.fc17.i686
Updated: libtasn1-2.14-1.fc17.x86_64
Updated: libuuid-2.21.2-4.fc17.i686
Updated: libuuid-2.21.2-4.fc17.x86_64
Updated: logrotate-3.8.3-1.fc17.x86_64
Updated: munin-common-2.0.11.1-2.fc17.noarch
Updated: mysql-5.5.30-1.fc17.x86_64
Updated: mysql-connector-python-1.0.9-1.fc17.noarch
Updated: mysql-libs-5.5.30-1.fc17.x86_64
Updated: mysql-server-5.5.30-1.fc17.x86_64
Updated: mysql-utilities-1.2.0-1.fc17.noarch
Updated: openconnect-4.08-1.fc17.x86_64
Updated: openssh-5.9p1-29.fc17.x86_64
Updated: openssh-clients-5.9p1-29.fc17.x86_64
Updated: openssh-server-5.9p1-29.fc17.x86_64
Updated: perl-DateTime-TimeZone-1.57-1.fc17.noarch
Updated: perl-Email-MessageID-1.402-1.fc17.noarch
Updated: perl-Email-MIME-1.911-1.fc17.noarch
Updated: perl-Git-1.7.11.7-3.fc17.noarch
Updated: perl-Locale-Codes-3.25-1.fc17.noarch
Updated: php-5.4.12-1.fc17.x86_64
Updated: php-cli-5.4.12-1.fc17.x86_64
Updated: php-common-5.4.12-1.fc17.x86_64
Updated: php-gd-5.4.12-1.fc17.x86_64
Updated: php-mbstring-5.4.12-1.fc17.x86_64
Updated: php-mcrypt-5.4.12-1.fc17.x86_64
Updated: phpMyAdmin-3.5.6-1.fc17.noarch
Updated: phpMyAdmin-3.5.7-1.fc17.noarch
Updated: php-mysql-5.4.12-1.fc17.x86_64
Updated: php-pdo-5.4.12-1.fc17.x86_64
Updated: php-xml-5.4.12-1.fc17.x86_64
Updated: pixman-0.28.0-1.fc17.i686
Updated: pixman-0.28.0-1.fc17.x86_64
Updated: pixman-devel-0.28.0-1.fc17.x86_64
Updated: python-zope-event-4.0.2-1.fc17.noarch
Updated: ruby-1.9.3.385-28.fc17.x86_64
Updated: ruby-1.9.3.392-29.fc17.x86_64
Updated: rubygem-bigdecimal-1.1.0-28.fc17.x86_64
Updated: rubygem-bigdecimal-1.1.0-29.fc17.x86_64
Updated: rubygem-io-console-0.3-28.fc17.x86_64
Updated: rubygem-io-console-0.3-29.fc17.x86_64
Updated: rubygem-json-1.6.8-1.fc17.x86_64
Updated: rubygems-1.8.25-4.fc17.noarch
Updated: ruby-irb-1.9.3.385-28.fc17.noarch
Updated: ruby-irb-1.9.3.392-29.fc17.noarch
Updated: ruby-libs-1.9.3.385-28.fc17.x86_64
Updated: ruby-libs-1.9.3.392-29.fc17.x86_64
Updated: sane-backends-1.0.23-7.fc17.x86_64
Updated: sane-backends-libs-1.0.23-7.fc17.i686
Updated: sane-backends-libs-1.0.23-7.fc17.x86_64
Updated: subversion-1.7.8-1.fc17.x86_64
Updated: subversion-javahl-1.7.8-1.fc17.x86_64
Updated: subversion-libs-1.7.8-1.fc17.x86_64
Updated: systemd-44-24.fc17.i686
Updated: systemd-44-24.fc17.x86_64
Updated: systemd-sysv-44-24.fc17.x86_64
Updated: systemtap-sdt-devel-2.1-1.fc17.x86_64
Updated: taglib-1.8-3.20121215git.fc17.x86_64
Updated: thunderbird-17.0.3-1.fc17.x86_64
Updated: urw-fonts-2.4-14.fc17.noarch
Updated: util-linux-2.21.2-4.fc17.x86_64
Updated: vlgothic-fonts-20121230-3.fc17.noarch
Updated: vlgothic-p-fonts-20121230-3.fc17.noarch
Updated: xorg-x11-drv-evdev-2.7.3-5.fc17.x86_64
Updated: xorg-x11-drv-intel-2.21.2-1.fc17.x86_64
Updated: xterm-291-1.fc17.x86_64
Updated: xulrunner-19.0-1.fc17.x86_64

John VV 03-13-2013 01:52 PM

both
Quote:

adobe-linux-i386 Adobe Systems enabled: 17
adobe-linux-x86_64 Adobe Systems enabled: 2
are you using the adobe pdf reader
or just both 32 bit and 64 bit flash

Quote:

rpmfusion-free/17/x86_64 RPM Fusion fo enabled: 449
you seam to be missing the "rpmfusion-non-free" or was this intentional with livna being installed for the one rpm there

there are no conflicts so that is not it
( though adobe is known to be offline a lot and that will cause some issues)
Quote:

AdobeReader_enu-9.5.4-1.i486
this has always caused problems ( for me )
is there a reason you are not using the default installed fedora pdf reader/editor
" evince" or " okular"

however non of those will cause the keyboard to mess up

there are a few "odd" updates
both versions
-----
Updated: phpMyAdmin-3.5.6-1.fc17.noarch
Updated: phpMyAdmin-3.5.7-1.fc17.noarch
-----
Updated: ruby-1.9.3.385-28.fc17.x86_64
Updated: ruby-1.9.3.392-29.fc17.x86_64

Updated: rubygem-bigdecimal-1.1.0-28.fc17.x86_64
Updated: rubygem-bigdecimal-1.1.0-29.fc17.x86_64

Updated: rubygem-io-console-0.3-28.fc17.x86_64
Updated: rubygem-io-console-0.3-29.fc17.x86_64

Updated: ruby-irb-1.9.3.385-28.fc17.noarch
Updated: ruby-irb-1.9.3.392-29.fc17.noarch

Updated: ruby-libs-1.9.3.385-28.fc17.x86_64
Updated: ruby-libs-1.9.3.392-29.fc17.x86_64
-------
are installed and running ?
So you have two different versions ( both 64 bit ) running

now that could cause some serious system slow down
that might give you problems loging in

by chance are you running two different installs of the Apache web server ?


All times are GMT -5. The time now is 12:02 AM.